Bug 471662 - Review Request: qlandkartegt - GPS device mapping tool
Review Request: qlandkartegt - GPS device mapping tool
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Till Maas
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 16:50 EST by Dan Horák
Modified: 2008-11-25 11:54 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-19 03:31:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
opensource: fedora‑review+
dennis: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dan Horák 2008-11-14 16:50:12 EST
Spec URL: http://fedora.danny.cz/qlandkartegt.spec
SRPM URL: http://fedora.danny.cz/qlandkartegt-0.8.1-1.fc10.src.rpm

Description:
QLandkarte GT is the ultimate outdoor aficionado's tool for GPS maps in
GeoTiff format as well as Garmin's img vector map format. Additional it is
the PC side frontend to QLandkarte M, a moving map application for mobile
devices. And it fills the gap Garmin leaves in refusing to support Linux.
QLandkarte GT is the proof that writing portable applications for Unix,
Windows and OSX is feasible with a minimum of overhead. No excuses!

QLandkarte GT does replace the original QLandkarte with a much more
flexible architecture. It's not limited to a map format or device. Thus
if you think your Magellan GPS or other should be supported, join the team.

Additionally it is a front end to the GDAL tools, to make georeferencing
scanned maps feasible for the normal user. Compared to similar tools like
QGis, it's target users are more on the consumer side than on the scientific
one. QLandkarte GT might not let you select every possible feature of the
GDAL tools, but it will simplify their use to the demands of most users.
Comment 1 Till Maas 2008-11-16 12:41:39 EST
[OK] rpmlint output:
[OK] Spec in %{name}.spec format

[OK] license allowed: GPLv2+
[OK] license matches shortname in License: tag
[OK] license in tarball and included in %doc: copying

[OK] package is code or permissive content:

{N/A} patches sent to upstream and commented

[OK] Source0 is a working URL
{OK} Sourceforge URL is Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
<OK> SourceX / PatchY prefixed with %{name}

[OK] Source0 matches Upstream:
0cf413cc59e092ed2277578093d6c70d  QLandkarteGT.0.8.1.tar.gz

[NEEDSWORK] Package builds on all platforms: fails on ppc/ppc64:
http://koji.fedoraproject.org/koji/taskinfo?taskID=935213

[NEEDSWORK] ExcludeArch bugs are filed and commented:
[OK] BuildRequires are complete (mock builds):
http://koji.fedoraproject.org/koji/taskinfo?taskID=935221
(OK) No file dependencies outside of /etc /bin /sbin /usr/bin /usr/sbin 

[N/A] %find_lang used for locales

[N/A] Every (sub)package containing libraries runs ldconfig
%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig
[N/A] .h (header) files are in -devel subpackage
[N/A] .a (static libraries) are in -static subpackage
[N/A] contains .pc (pkgconfig) files and has Requires: pkgconfig
(N/A) .pc files are in -devel subpackage
[N/A] contains .so.X(.Y) files and .so is in -devel
[N/A] -devel subpackage has Requires: %{name} = %{version}-%{release}
[N/A] .la files (libtool) are not included


[OK] Has GUI and includes %{name}.desktop
[OK] .desktop file installed with desktop-file-install in %install

[OK] Prefix: /usr not used (not relocatable)

[OK] Owns all created directories
[OK] no duplicates in %files
[OK] %defattr(-,root,root,-) is in every %files section
[OK] Does not own files or dirs from other packages
[OK] included filenames are in UTF-8

[OK] %clean is rm -rf %{buildroot} or $RPM_BUILD_ROOT 
[OK] %install starts with rm -rf %{buildroot} or $RPM_BUILD_ROOT 

[OK] Consistent macro usage

[N/A] large documentation is -doc subpackage
[OK] %doc does not affect runtime

{OK} no pre-built binaries (.a, .so*, executable)

{OK} well known BuildRoot
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

{OK} PreReq not used

{OK} RPM_OPT_FLAGS honoured
{OK} Useful debuginfo generated
{OK} no duplication of system libraries
{OK} no rpath

{OK} Timestamps preserved with cp and install

{OK} Uses parallel make (%{?_smp_mflags})
{OK} Requires(pre,post) style notation not used

{OK} only writes to tmp /var/tmp $TMPDIR %{_tmppath} %{_builddir} (and %{buildroot} on %install and %clean)

{OK} no Conflicts
{OK} nothing installed in /srv
{OK} Changelog in allowed format
{OK} does not use Scriptlets

<N/A> Architecture independent packages have: BuildArch: noarch
<OK> Sane Provides: and Requires:

{OK} Follows Naming Guidelines

{N/A} shared libraries scriptlet

Conclusion:
The ppc(64) build failures need to be addressed, then I will approve this package.
Comment 2 Dan Horák 2008-11-16 13:48:41 EST
Updated Spec URL: http://fedora.danny.cz/qlandkartegt.spec
Updated SRPM URL: http://fedora.danny.cz/qlandkartegt-0.8.1-2.fc11.src.rpm

ChangeLog:
apply patch for bigendian arches, patch posted upstream

koji scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=935266
Comment 3 Till Maas 2008-11-16 15:41:58 EST
The package is now APPROVED.

Btw. the Guidelines recommend that you add a comment nearby the patch saying that it was applied to upstream's SCM:
https://fedoraproject.org/wiki/Packaging/PatchUpstreamStatus
Comment 4 Dan Horák 2008-11-17 04:16:45 EST
(In reply to comment #3)
> Btw. the Guidelines recommend that you add a comment nearby the patch saying
> that it was applied to upstream's SCM:
> https://fedoraproject.org/wiki/Packaging/PatchUpstreamStatus

I am aware of the guideline, I will put notice into the imported spec. Thanks for the review.
Comment 5 Dan Horák 2008-11-17 04:18:37 EST
New Package CVS Request
=======================
Package Name: qlandkartegt
Short Description: GPS device mapping tool
Owners: sharkcz silfreed
Branches: F-9 F-10
Comment 6 Kevin Fenzi 2008-11-18 20:54:52 EST
cvs done.
Comment 7 Dan Horák 2008-11-25 07:45:38 EST
Package Change Request
======================
Package Name: qlandkartegt
New Branches: EL-5
Owners: sharkcz
Comment 8 Dennis Gilmore 2008-11-25 11:54:46 EST
CVS Done

Note You need to log in before you can comment on or make changes to this bug.